#mPythonType:0
from mpython import *
import radio
import time

radio.on()
radio.config(channel=13)

# ！！！重要！！！ 每个玩家设备需要设置不同的ID (1,2,3,4...)
PLAYER_ID = 4  # 请为每个玩家设备修改这个数字(1,2,3,4...)

oled.DispChar("谁是卧底-玩家", 0, 0)
oled.show()
my_word = None

def show_status():
    oled.fill(0)
    if my_word:
        oled.DispChar("玩家{}已就绪".format(PLAYER_ID), 0, 0)
    else:
        oled.DispChar("玩家{}等待".format(PLAYER_ID), 0, 0)
    oled.show()

show_status()

while True:
    msg = radio.receive()
    if msg is not None:
        print("收到:", msg)
        
        if msg.startswith("PLAYER{}:".format(PLAYER_ID)):  # 只处理自己的消息
            parts = msg.split(":")
            if len(parts) == 2:
                my_word = parts[1]
                oled.fill(0)
                oled.DispChar("你是玩家{}".format(PLAYER_ID), 0, 0)
                oled.DispChar("你的词语:", 0, 16)
                oled.DispChar(my_word, 0, 32)
                oled.show()
                time.sleep(3)
                show_status()
                
        elif msg == "GAME_START":
            oled.fill(0)
            oled.DispChar("游戏开始!", 0, 0)
            oled.DispChar("玩家{}".format(PLAYER_ID), 0, 16)
            if my_word:
                oled.DispChar("词语: {}".format(my_word), 0, 32)
            oled.show()
            
        elif msg == "GAME_OVER":
            oled.fill(0)
            oled.DispChar("游戏结束", 0, 0)
            oled.show()
            my_word = None
            time.sleep(2)
            show_status()
            
    # 按钮A按下显示自己的词语
    if button_a.was_pressed():
        if my_word:
            oled.fill(0)
            oled.DispChar("玩家{}".format(PLAYER_ID), 0, 0)
            oled.DispChar("你的词语:", 0, 16)
            oled.DispChar(my_word, 0, 32)
            oled.show()
            time.sleep(3)
            show_status()
        else:
            oled.fill(0)
            oled.DispChar("还未收到", 0, 0)
            oled.DispChar("词语分配", 0, 16)
            oled.show()
            time.sleep(1)
            show_status()