#mPythonType:0
from mpython import *
import radio
import time
import random

# 词语库 - 第一个是平民词，第二个是卧底词
word_pairs = [
    ["苹果", "香蕉"],
    ["牛奶", "豆浆"],
    ["火车", "地铁"],
    ["篮球", "足球"],
    ["猫", "狗"]
]

radio.on()
radio.config(channel=13)

oled.DispChar("谁是卧底-主持人", 0, 0)
oled.show()

player_count = 4  # 假设有4个玩家

while True:
    if button_a.was_pressed():  # 开始游戏
        # 随机选择一组词语
        words = random.choice(word_pairs)
        civilian_word = words[0]
        undercover_word = words[1]
        
        # 随机决定谁是卧底
        undercover_player = random.randint(1, player_count)
        
        oled.fill(0)
        oled.DispChar("平民词: {}".format(civilian_word), 0, 0)
        oled.DispChar("卧底词: {}".format(undercover_word), 0, 16)
        oled.DispChar("卧底是: 玩家{}".format(undercover_player), 0, 32)
        oled.show()
        
        # 为每个玩家准备消息
        messages = []
        for player in range(1, player_count + 1):
            if player == undercover_player:
                messages.append("PLAYER{}:{}".format(player, undercover_word))
            else:
                messages.append("PLAYER{}:{}".format(player, civilian_word))
        
        # 发送所有玩家消息(重复发送3次确保接收)
        for msg in messages:
            radio.send(msg)
            time.sleep(0.5)
        
        # 发送游戏开始信号
        radio.send("GAME_START")
        
    elif button_b.was_pressed():  # 结束游戏
        radio.send("GAME_OVER")
        oled.fill(0)
        oled.DispChar("游戏结束", 0, 0)
        oled.show()